Name:           yaz
Version:        4.2.56
Release:        2%{?dist}
Summary:        Z39.50/SRW/SRU toolkit

Group:          Applications/Internet
License:        BSD
URL:            http://www.indexdata.dk/yaz/
Source0:        http://ftp.indexdata.dk/pub/yaz/yaz-%{version}.tar.gz
Patch0:         %{name}-656.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel, openssl-devel, readline-devel, libtool, bison
BuildRequires:  libxslt-devel, tcp_wrappers-devel, libpcap-devel, libicu-devel
BuildRequires:  libgcrypt-devel, libgpg-error-devel

%description
YAZ is a programmers toolkit supporting the development of Z39.50/SRW/SRU 
clients and servers. Z39.50-2003 (version 3) as well as SRW/SRU version 1.1 
are supported in both the client and server roles. The SOLR webservice is 
supported in the client role through the ZOOM API.

This package contains both a test-server and clients (normal & ssl).


%package -n lib%{name}
Summary:        Z39.50 libraries
Group:          System Environment/Libraries

%description -n lib%{name}
YAZ is a programmers toolkit supporting the development of Z39.50/SRW/SRU 
clients and servers. Z39.50-2003 (version 3) as well as SRW/SRU version 1.1 
are supported in both the client and server roles. The SOLR webservice is 
supported in the client role through the ZOOM API.

This packages contains %{name} libraries.

%package -n lib%{name}-devel
Summary:        Development files for Z39.50 library
Group:          Development/Libraries
Requires:       libyaz = %{version}-%{release}
Requires:       libxml2-devel, openssl-devel, readline-devel
Requires:       pkgconfig

%description -n lib%{name}-devel
YAZ is a programmers toolkit supporting the development of Z39.50/SRW/SRU 
clients and servers. Z39.50-2003 (version 3) as well as SRW/SRU version 1.1 
are supported in both the client and server roles. The SOLR webservice is 
supported in the client role through the ZOOM API.

This package contains development libraries and includes for lib%{name}.


%package -n %{name}-doc
Summary:        Documentation for yaz Z39.50 programs
Group:          Documentation
Requires:       yaz = %{version}-%{release}
BuildArch:      noarch

%description -n %{name}-doc
Online documentation for the %{name} package, a Z39.50 protocol
server and client.


%prep
%setup -q
%patch0 -p1 -b .char
sh buildconf.sh
autoreconf -fiv

%build
%configure \
    --enable-tcpd \
    --enable-shared \
    --disable-static
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf %{buildroot}
make LIBTOOL=%{_bindir}/libtool DESTDIR=%{buildroot} install
# Remove cruft
find %{buildroot} -name '*.la' -o -name '*.a' | xargs rm -f
rm -rf %{buildroot}%{_docdir}
rm -f docs/Makefile*


%check
make check


%clean
rm -rf %{buildroot}


%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README NEWS LICENSE
%{_bindir}/yaz-client
%{_bindir}/yaz-ztest
%{_bindir}/zoomsh
%{_bindir}/yaz-marcdump
%{_bindir}/yaz-iconv
%{_bindir}/yaz-illclient
%{_bindir}/yaz-icu
%{_bindir}/yaz-json-parse
%{_bindir}/yaz-url
%{_mandir}/man1/yaz-client.*
%{_mandir}/man1/yaz-illclient.*
%{_mandir}/man8/yaz-ztest.*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man1/yaz-marcdump.*
%{_mandir}/man1/yaz-iconv.*
%{_mandir}/man1/yaz-icu.*
%{_mandir}/man7/yaz-log.*
%{_mandir}/man1/yaz-json-parse.*
%{_mandir}/man1/yaz-url.*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_mandir}/man7/yaz.*
%{_mandir}/man7/bib1-attr.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/%{name}
%{_datadir}/yaz
%{_datadir}/aclocal/*
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man1/yaz-config.*

%files -n %{name}-doc
%defattr(-,root,root,-)
%doc doc/* 


%changelog
* Tue Apr 30 2013 Dan Horák <dan[at]danny.cz> 4.2.56-2
- add upstream fix for platforms where the char type is unsigned by default

* Mon Apr 29 2013 Peter Robinson <pbrobinson@fedoraproject.org> 4.2.56-1
- Update to 4.2.56

* Tue Apr 02 2013 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.51-1
- Update to 4.2.51
- Remove unneeded patch

* Fri Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 4.2.33-3
- Rebuild for icu 50

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.33-1
- Update to 4.2.33

* Mon Apr 23 2012 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.29-2
- Rebuilt for icu soname bump

* Mon Apr 09 2012 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.29-1
- Update to 4.2.29

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.17-1
- Update to 4.2.17 (minor bugfixes)

* Mon Sep 12 2011 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.14-1
- Upstream 4.2.14

* Mon Sep 12 2011 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.4-2
- Rebuild against icu 4.8.1

* Tue Jul 19 2011 Guido Grazioli <guido.grazioli@gmail.com> - 4.2.4-1
- Upstream 4.2.4

* Mon May 09 2011 Guido Grazioli <guido.grazioli@gmail.com> - 4.1.7-1
- Upstream 4.1.7 
- Improved description

* Mon Mar 07 2011 Caolán McNamara <caolanm@redhat.com> - 4.0.12-3
- Rebuild against icu 4.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 06 2010 Guido Grazioli <guido.grazioli@gmail.com> - 4.0.12-1
- Upstream 4.0.12 (various bugfixes)
- Remove unused patch, fixed upstream

* Sun Apr 04 2010 Guido Grazioli <guido.grazioli@gmail.com> - 4.0.2-1
- Upstream 4.0.2 (major version release)
- Add patch for explicit DSO linking
- Split documentation to -doc subpackage

* Fri Apr 02 2010 Caolán McNamara <caolanm@redhat.com> - 3.0.49-2
- Rebuild against icu 4.4

* Thu Oct 01 2009 Guido Grazioli <guido.grazioli@gmail.com> - 3.0.49-1
- Upstream 3.0.49 (bugfixes and feature enhancements)
- Require pkgconfig for libyaz-devel (guidelines MUST)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.46-1
- Update to 3.0.46 (miscellaneous bugfixes)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.41-1
- Upstream 3.0.41
- Always use system libtool
- Remove TODO from docs
- Package bib1-attr.7 with libyaz

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.34-1
- Upstream 3.0.34

* Sat May 10 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.26-1
- Upstream 3.0.26

* Sat Feb 02 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.24-1
- Upstream 3.0.24
- Remove ziffy, as it's no longer part of this package
- Build with icu, available since 3.0.10

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.8-1
- New upstream 3.0.8

* Fri Jun 15 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.6-1
- New major upstream version 3.0.6

* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.54-1
- Upstream 2.1.54

* Sat Jan 27 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.48-1
- Upstream 2.1.48

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.40-1
- Upstream 2.1.40

* Sat Oct 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.36-1
- Upstream 2.1.36

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.26-1.1
- Mass rebuild for FC6

* Tue Aug 15 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.26-1
- Version 2.1.26
- Kill all tabs

* Tue Jun 20 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.22-1
- Version 2.1.22
- Libtoolize correctly
- BuildRequire libxslt
- BuildRequire tcp_wrappers
- Enable pth in configure
- Add %%check routine

* Mon Dec 12 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.10-1
- Initial packaging
